Account Number Generator
Account Services
>
API Reference
>
v1
>
Account Number Generator
Overview
Account Number Generator Settings can be configured for all accounts being created at a Financial Institution. They can be configured for specific account types, and include options like whether to use Mod 10 generation methods, or consecutive numbers. A prefix to account numbers can be added, as well as configuring the total length, including the prefix.
The generate endpoint generates unique account numbers during the origination process, ensuring non-collision and compliance with institution settings.
openapi: 3.0.3
info:
title: Account Services APIs - Account Number Generator
version: v1
description: APIs for Account Services
contact:
name: Digital Core @ Jack Henry and Associates, inc.
url: https://www.jackhenry.com/
email: DC-Operations@jackhenry.com
servers:
- url: https://{API_ENDPOINT}
variables:
API_ENDPOINT:
default: digital.garden-fi.com
security:
- bearerAuth: []
tags:
- name: Account Number Generator
description: V1 APIs for account number generation and settings
paths:
/a/api/acct-svcs/v1/{InstitutionUniversalId}/account-number-generator/settings/{Id}:
get:
operationId: GetAccountNumberGenerationSettings
tags:
- Account Number Generator
summary: API to get account number generation settings by settingId
description: API to get account number generation settings by settingId
parameters:
- name: InstitutionUniversalId
in: path
description: A unique identifier to establish the identity of an Institution/Environment/Brand combination
required: true
schema:
type: string
- name: Id
in: path
description: A unique identifier to establish the identity of an Account Number Generation Setting.
required: true
schema:
type: string
format: uuid
responses:
'200':
description: Success
content:
application/json:
schema:
allOf:
- type: object
- type: object
properties:
id:
type: string
format: uuid
description: A unique identifier to establish the identity of an Account Number Generation Setting.
nullable: false
settingName:
type: string
nullable: false
maxLength: 40
description: This defines the name of the settings, used to identify what type of accounts the generator will be used for.
accountType:
nullable: true
description: This enum attribute defines the account type that the account number will be generated for.
type: string
enum:
- checking
- savings
mod10GenMethod:
type: boolean
nullable: false
description: Defines whether or not the mod10 generation method will be used when determining the next account number. If false then account numbers will increment consecutively.
accountNumberLength:
type: integer
nullable: false
minLength: 6
maxLength: 16
description: This defines the total length the account number should be, including the prefix.
accountNumberPrefix:
type: string
nullable: true
maxLength: 2
description: This defines the starting number(s) that are prepended to the account number.
- properties:
lastGeneratedAccountNumber:
type: string
minLength: 4
maxLength: 14
description: This defines the last account number that was generated using the settings.
'400':
description: The server could not process the request due to an invalid request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
fieldDetails:
type: array
description: An array of objects which provide additional details to specific fields in the request that caused the error.
items:
type: object
properties:
field:
type: string
description: The name or path of the field in the request that caused the error.
detail:
type: string
description: A end-user readable message describing the error related to the field.
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
badRequest:
summary: Bad request
value:
type: acct-svcs/bad-request
title: Rule violation
details:
- exampleField is invalid or malformed.
fieldDetails:
- field: exampleField
detail: Provide a valid value for this field.
'401':
description: Although the HTTP standard specifies "unauthorized", semantically this response means "unauthenticated". That is, the client must authenticate itself to get the requested response.
'403':
description: The client does not have access rights to the content; that is, it is unauthorized, so the server is refusing to give the requested resource. Unlike 401, the clients identity is known to the server.
'404':
description: The server can not find the requested resource. In an API, this can also mean that the endpoint is valid but the resource itself does not exist. Servers may also send this response instead of 403 to hide the existence of a resource from an unauthorized client.
'500':
description: An unexpected internal server error occurred while processing the request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
internalServerError:
summary: Internal server error
value:
type: acct-svcs/internal-server-error
title: Unexpected error
details:
- An unexpected error occurred. Please contact your service provider and/or try again later.
put:
operationId: UpdateAccountNumberGenerationSettings
tags:
- Account Number Generator
summary: API to update account number generation settings by settingId
description: API to update account number generation settings by settingId
parameters:
- name: InstitutionUniversalId
in: path
description: A unique identifier to establish the identity of an Institution/Environment/Brand combination
required: true
schema:
type: string
- name: Id
in: path
description: A unique identifier to establish the identity of an Account Number Generation Setting.
required: true
schema:
type: string
format: uuid
requestBody:
description: Request parameters.
content:
application/json:
schema:
allOf:
- type: object
- type: object
properties:
settingName:
type: string
nullable: false
maxLength: 40
description: This defines the name of the settings, used to identify what type of accounts the generator will be used for.
accountType:
nullable: true
description: This enum attribute defines the account type that the account number will be generated for.
type: string
enum:
- checking
- savings
mod10GenMethod:
type: boolean
nullable: false
description: Defines whether or not the mod10 generation method will be used when determining the next account number. If false then account numbers will increment consecutively.
accountNumberLength:
type: integer
nullable: false
minLength: 6
maxLength: 16
description: This defines the total length the account number should be, including the prefix.
accountNumberPrefix:
type: string
nullable: true
maxLength: 2
description: This defines the starting number(s) that are prepended to the account number.
responses:
'204':
description: Success - No Content
'400':
description: The server could not process the request due to an invalid request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
fieldDetails:
type: array
description: An array of objects which provide additional details to specific fields in the request that caused the error.
items:
type: object
properties:
field:
type: string
description: The name or path of the field in the request that caused the error.
detail:
type: string
description: A end-user readable message describing the error related to the field.
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
badRequest:
summary: Bad request
value:
type: acct-svcs/bad-request
title: Rule violation
details:
- exampleField is invalid or malformed.
fieldDetails:
- field: exampleField
detail: Provide a valid value for this field.
'401':
description: Although the HTTP standard specifies "unauthorized", semantically this response means "unauthenticated". That is, the client must authenticate itself to get the requested response.
'403':
description: The client does not have access rights to the content; that is, it is unauthorized, so the server is refusing to give the requested resource. Unlike 401, the clients identity is known to the server.
'404':
description: The server can not find the requested resource. In an API, this can also mean that the endpoint is valid but the resource itself does not exist. Servers may also send this response instead of 403 to hide the existence of a resource from an unauthorized client.
'500':
description: An unexpected internal server error occurred while processing the request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
internalServerError:
summary: Internal server error
value:
type: acct-svcs/internal-server-error
title: Unexpected error
details:
- An unexpected error occurred. Please contact your service provider and/or try again later.
delete:
operationId: DeleteAccountNumberGenerationSettings
tags:
- Account Number Generator
summary: API to delete account number generation settings by settingId
description: API to delete account number generation settings by settingId
parameters:
- name: InstitutionUniversalId
in: path
description: A unique identifier to establish the identity of an Institution/Environment/Brand combination
required: true
schema:
type: string
- name: Id
in: path
description: A unique identifier to establish the identity of an Account Number Generation Setting.
required: true
schema:
type: string
format: uuid
responses:
'204':
description: Success - No Content
'400':
description: The server could not process the request due to an invalid request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
fieldDetails:
type: array
description: An array of objects which provide additional details to specific fields in the request that caused the error.
items:
type: object
properties:
field:
type: string
description: The name or path of the field in the request that caused the error.
detail:
type: string
description: A end-user readable message describing the error related to the field.
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
badRequest:
summary: Bad request
value:
type: acct-svcs/bad-request
title: Rule violation
details:
- exampleField is invalid or malformed.
fieldDetails:
- field: exampleField
detail: Provide a valid value for this field.
'401':
description: Although the HTTP standard specifies "unauthorized", semantically this response means "unauthenticated". That is, the client must authenticate itself to get the requested response.
'403':
description: The client does not have access rights to the content; that is, it is unauthorized, so the server is refusing to give the requested resource. Unlike 401, the clients identity is known to the server.
'404':
description: The server can not find the requested resource. In an API, this can also mean that the endpoint is valid but the resource itself does not exist. Servers may also send this response instead of 403 to hide the existence of a resource from an unauthorized client.
'500':
description: An unexpected internal server error occurred while processing the request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
internalServerError:
summary: Internal server error
value:
type: acct-svcs/internal-server-error
title: Unexpected error
details:
- An unexpected error occurred. Please contact your service provider and/or try again later.
/a/api/acct-svcs/v1/{InstitutionUniversalId}/enterprise/{EnterpriseUserId}/account-number-generator/settings/{Id}:
get:
operationId: GetAccountNumberGenerationSettingsWithEnterpriseUserId
tags:
- Account Number Generator
summary: API to get account number generation settings by settingId
description: API to get account number generation settings by settingId
parameters:
- name: InstitutionUniversalId
in: path
description: A unique identifier to establish the identity of an Institution/Environment/Brand combination
required: true
schema:
type: string
- in: path
name: EnterpriseUserId
required: true
schema:
type: string
format: uuid
description: The ID of the enterprise user.
- name: Id
in: path
description: A unique identifier to establish the identity of an Account Number Generation Setting.
required: true
schema:
type: string
format: uuid
responses:
'200':
description: Success
content:
application/json:
schema:
allOf:
- type: object
- type: object
properties:
id:
type: string
format: uuid
description: A unique identifier to establish the identity of an Account Number Generation Setting.
nullable: false
settingName:
type: string
nullable: false
maxLength: 40
description: This defines the name of the settings, used to identify what type of accounts the generator will be used for.
accountType:
nullable: true
description: This enum attribute defines the account type that the account number will be generated for.
type: string
enum:
- checking
- savings
mod10GenMethod:
type: boolean
nullable: false
description: Defines whether or not the mod10 generation method will be used when determining the next account number. If false then account numbers will increment consecutively.
accountNumberLength:
type: integer
nullable: false
minLength: 6
maxLength: 16
description: This defines the total length the account number should be, including the prefix.
accountNumberPrefix:
type: string
nullable: true
maxLength: 2
description: This defines the starting number(s) that are prepended to the account number.
- properties:
lastGeneratedAccountNumber:
type: string
minLength: 4
maxLength: 14
description: This defines the last account number that was generated using the settings.
'400':
description: The server could not process the request due to an invalid request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
fieldDetails:
type: array
description: An array of objects which provide additional details to specific fields in the request that caused the error.
items:
type: object
properties:
field:
type: string
description: The name or path of the field in the request that caused the error.
detail:
type: string
description: A end-user readable message describing the error related to the field.
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
badRequest:
summary: Bad request
value:
type: acct-svcs/bad-request
title: Rule violation
details:
- exampleField is invalid or malformed.
fieldDetails:
- field: exampleField
detail: Provide a valid value for this field.
'401':
description: Although the HTTP standard specifies "unauthorized", semantically this response means "unauthenticated". That is, the client must authenticate itself to get the requested response.
'403':
description: The client does not have access rights to the content; that is, it is unauthorized, so the server is refusing to give the requested resource. Unlike 401, the clients identity is known to the server.
'404':
description: The server can not find the requested resource. In an API, this can also mean that the endpoint is valid but the resource itself does not exist. Servers may also send this response instead of 403 to hide the existence of a resource from an unauthorized client.
'500':
description: An unexpected internal server error occurred while processing the request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
internalServerError:
summary: Internal server error
value:
type: acct-svcs/internal-server-error
title: Unexpected error
details:
- An unexpected error occurred. Please contact your service provider and/or try again later.
put:
operationId: UpdateAccountNumberGenerationSettingsWithEnterpriseUserId
tags:
- Account Number Generator
summary: API to update account number generation settings by settingId
description: API to update account number generation settings by settingId
parameters:
- name: InstitutionUniversalId
in: path
description: A unique identifier to establish the identity of an Institution/Environment/Brand combination
required: true
schema:
type: string
- in: path
name: EnterpriseUserId
required: true
schema:
type: string
format: uuid
description: The ID of the enterprise user.
- name: Id
in: path
description: A unique identifier to establish the identity of an Account Number Generation Setting.
required: true
schema:
type: string
format: uuid
requestBody:
description: Request parameters.
content:
application/json:
schema:
allOf:
- type: object
- type: object
properties:
settingName:
type: string
nullable: false
maxLength: 40
description: This defines the name of the settings, used to identify what type of accounts the generator will be used for.
accountType:
nullable: true
description: This enum attribute defines the account type that the account number will be generated for.
type: string
enum:
- checking
- savings
mod10GenMethod:
type: boolean
nullable: false
description: Defines whether or not the mod10 generation method will be used when determining the next account number. If false then account numbers will increment consecutively.
accountNumberLength:
type: integer
nullable: false
minLength: 6
maxLength: 16
description: This defines the total length the account number should be, including the prefix.
accountNumberPrefix:
type: string
nullable: true
maxLength: 2
description: This defines the starting number(s) that are prepended to the account number.
responses:
'204':
description: Success - No Content
'400':
description: The server could not process the request due to an invalid request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
fieldDetails:
type: array
description: An array of objects which provide additional details to specific fields in the request that caused the error.
items:
type: object
properties:
field:
type: string
description: The name or path of the field in the request that caused the error.
detail:
type: string
description: A end-user readable message describing the error related to the field.
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
badRequest:
summary: Bad request
value:
type: acct-svcs/bad-request
title: Rule violation
details:
- exampleField is invalid or malformed.
fieldDetails:
- field: exampleField
detail: Provide a valid value for this field.
'401':
description: Although the HTTP standard specifies "unauthorized", semantically this response means "unauthenticated". That is, the client must authenticate itself to get the requested response.
'403':
description: The client does not have access rights to the content; that is, it is unauthorized, so the server is refusing to give the requested resource. Unlike 401, the clients identity is known to the server.
'404':
description: The server can not find the requested resource. In an API, this can also mean that the endpoint is valid but the resource itself does not exist. Servers may also send this response instead of 403 to hide the existence of a resource from an unauthorized client.
'500':
description: An unexpected internal server error occurred while processing the request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
internalServerError:
summary: Internal server error
value:
type: acct-svcs/internal-server-error
title: Unexpected error
details:
- An unexpected error occurred. Please contact your service provider and/or try again later.
delete:
operationId: DeleteAccountNumberGenerationSettingsWithEnterpriseUserId
tags:
- Account Number Generator
summary: API to delete account number generation settings by settingId
description: API to delete account number generation settings by settingId
parameters:
- name: InstitutionUniversalId
in: path
description: A unique identifier to establish the identity of an Institution/Environment/Brand combination
required: true
schema:
type: string
- in: path
name: EnterpriseUserId
required: true
schema:
type: string
format: uuid
description: The ID of the enterprise user.
- name: Id
in: path
description: A unique identifier to establish the identity of an Account Number Generation Setting.
required: true
schema:
type: string
format: uuid
responses:
'204':
description: Success - No Content
'400':
description: The server could not process the request due to an invalid request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
fieldDetails:
type: array
description: An array of objects which provide additional details to specific fields in the request that caused the error.
items:
type: object
properties:
field:
type: string
description: The name or path of the field in the request that caused the error.
detail:
type: string
description: A end-user readable message describing the error related to the field.
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
badRequest:
summary: Bad request
value:
type: acct-svcs/bad-request
title: Rule violation
details:
- exampleField is invalid or malformed.
fieldDetails:
- field: exampleField
detail: Provide a valid value for this field.
'401':
description: Although the HTTP standard specifies "unauthorized", semantically this response means "unauthenticated". That is, the client must authenticate itself to get the requested response.
'403':
description: The client does not have access rights to the content; that is, it is unauthorized, so the server is refusing to give the requested resource. Unlike 401, the clients identity is known to the server.
'404':
description: The server can not find the requested resource. In an API, this can also mean that the endpoint is valid but the resource itself does not exist. Servers may also send this response instead of 403 to hide the existence of a resource from an unauthorized client.
'500':
description: An unexpected internal server error occurred while processing the request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
internalServerError:
summary: Internal server error
value:
type: acct-svcs/internal-server-error
title: Unexpected error
details:
- An unexpected error occurred. Please contact your service provider and/or try again later.
/a/api/acct-svcs/v1/{InstitutionUniversalId}/account-number-generator/settings:
post:
operationId: CreateAccountNumberGenerationSettings
tags:
- Account Number Generator
summary: API to create account number generation settings
description: API to create account number generation settings
parameters:
- name: InstitutionUniversalId
in: path
description: A unique identifier to establish the identity of an Institution/Environment/Brand combination
required: true
schema:
type: string
requestBody:
description: Request parameters.
content:
application/json:
schema:
required:
- settingName
- accountType
- mod10GenMethod
- accountNumberLength
allOf:
- type: object
- type: object
properties:
settingName:
type: string
nullable: false
maxLength: 40
description: This defines the name of the settings, used to identify what type of accounts the generator will be used for.
accountType:
nullable: true
description: This enum attribute defines the account type that the account number will be generated for.
type: string
enum:
- checking
- savings
mod10GenMethod:
type: boolean
nullable: false
description: Defines whether or not the mod10 generation method will be used when determining the next account number. If false then account numbers will increment consecutively.
accountNumberLength:
type: integer
nullable: false
minLength: 6
maxLength: 16
description: This defines the total length the account number should be, including the prefix.
accountNumberPrefix:
type: string
nullable: true
maxLength: 2
description: This defines the starting number(s) that are prepended to the account number.
responses:
'201':
description: Success - Created
content:
application/json:
schema:
type: object
properties:
id:
type: string
format: uuid
description: A unique identifier to establish the identity of an Account Number Generation Setting.
'400':
description: The server could not process the request due to an invalid request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
fieldDetails:
type: array
description: An array of objects which provide additional details to specific fields in the request that caused the error.
items:
type: object
properties:
field:
type: string
description: The name or path of the field in the request that caused the error.
detail:
type: string
description: A end-user readable message describing the error related to the field.
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
badRequest:
summary: Bad request
value:
type: acct-svcs/bad-request
title: Rule violation
details:
- exampleField is invalid or malformed.
fieldDetails:
- field: exampleField
detail: Provide a valid value for this field.
'401':
description: Although the HTTP standard specifies "unauthorized", semantically this response means "unauthenticated". That is, the client must authenticate itself to get the requested response.
'403':
description: The client does not have access rights to the content; that is, it is unauthorized, so the server is refusing to give the requested resource. Unlike 401, the clients identity is known to the server.
'404':
description: The server can not find the requested resource. In an API, this can also mean that the endpoint is valid but the resource itself does not exist. Servers may also send this response instead of 403 to hide the existence of a resource from an unauthorized client.
'500':
description: An unexpected internal server error occurred while processing the request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
internalServerError:
summary: Internal server error
value:
type: acct-svcs/internal-server-error
title: Unexpected error
details:
- An unexpected error occurred. Please contact your service provider and/or try again later.
get:
operationId: GetAccountNumberGenerationSettingsList
tags:
- Account Number Generator
summary: API to get list of settings for an institution
description: API to get list of settings for an institution
parameters:
- name: InstitutionUniversalId
in: path
description: A unique identifier to establish the identity of an Institution/Environment/Brand combination
required: true
schema:
type: string
responses:
'200':
description: Success
content:
application/json:
schema:
type: object
required:
- generatorSettings
properties:
generatorSettings:
type: array
items:
allOf:
- type: object
properties:
id:
type: string
format: uuid
description: A unique identifier to establish the identity of an Account Number Generation Setting.
nullable: false
settingName:
type: string
nullable: false
maxLength: 40
description: This defines the name of the settings, used to identify what type of accounts the generator will be used for.
accountType:
nullable: true
description: This enum attribute defines the account type that the account number will be generated for.
type: string
enum:
- checking
- savings
mod10GenMethod:
type: boolean
nullable: false
description: Defines whether or not the mod10 generation method will be used when determining the next account number. If false then account numbers will increment consecutively.
accountNumberLength:
type: integer
nullable: false
minLength: 6
maxLength: 16
description: This defines the total length the account number should be, including the prefix.
accountNumberPrefix:
type: string
nullable: true
maxLength: 2
description: This defines the starting number(s) that are prepended to the account number.
- type: object
properties:
lastGeneratedAccountNumber:
type: string
minLength: 4
maxLength: 14
description: This defines the last account number that was generated using the settings.
'400':
description: The server could not process the request due to an invalid request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
fieldDetails:
type: array
description: An array of objects which provide additional details to specific fields in the request that caused the error.
items:
type: object
properties:
field:
type: string
description: The name or path of the field in the request that caused the error.
detail:
type: string
description: A end-user readable message describing the error related to the field.
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
badRequest:
summary: Bad request
value:
type: acct-svcs/bad-request
title: Rule violation
details:
- exampleField is invalid or malformed.
fieldDetails:
- field: exampleField
detail: Provide a valid value for this field.
'401':
description: Although the HTTP standard specifies "unauthorized", semantically this response means "unauthenticated". That is, the client must authenticate itself to get the requested response.
'403':
description: The client does not have access rights to the content; that is, it is unauthorized, so the server is refusing to give the requested resource. Unlike 401, the clients identity is known to the server.
'404':
description: The server can not find the requested resource. In an API, this can also mean that the endpoint is valid but the resource itself does not exist. Servers may also send this response instead of 403 to hide the existence of a resource from an unauthorized client.
'500':
description: An unexpected internal server error occurred while processing the request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
internalServerError:
summary: Internal server error
value:
type: acct-svcs/internal-server-error
title: Unexpected error
details:
- An unexpected error occurred. Please contact your service provider and/or try again later.
/a/api/acct-svcs/v1/{InstitutionUniversalId}/enterprise/{EnterpriseUserId}/account-number-generator/settings:
post:
operationId: CreateAccountNumberGenerationSettingsWithEnterpriseUserId
tags:
- Account Number Generator
summary: API to create account number generation settings
description: API to create account number generation settings
parameters:
- name: InstitutionUniversalId
in: path
description: A unique identifier to establish the identity of an Institution/Environment/Brand combination
required: true
schema:
type: string
- in: path
name: EnterpriseUserId
required: true
schema:
type: string
format: uuid
description: The ID of the enterprise user.
requestBody:
description: Request parameters.
content:
application/json:
schema:
required:
- settingName
- accountType
- mod10GenMethod
- accountNumberLength
allOf:
- type: object
- type: object
properties:
settingName:
type: string
nullable: false
maxLength: 40
description: This defines the name of the settings, used to identify what type of accounts the generator will be used for.
accountType:
nullable: true
description: This enum attribute defines the account type that the account number will be generated for.
type: string
enum:
- checking
- savings
mod10GenMethod:
type: boolean
nullable: false
description: Defines whether or not the mod10 generation method will be used when determining the next account number. If false then account numbers will increment consecutively.
accountNumberLength:
type: integer
nullable: false
minLength: 6
maxLength: 16
description: This defines the total length the account number should be, including the prefix.
accountNumberPrefix:
type: string
nullable: true
maxLength: 2
description: This defines the starting number(s) that are prepended to the account number.
responses:
'201':
description: Success - Created
content:
application/json:
schema:
type: object
properties:
generatedAccountNumber:
type: string
nullable: false
description: The generated account number which adheres to specified setting criteria.
'400':
description: The server could not process the request due to an invalid request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
fieldDetails:
type: array
description: An array of objects which provide additional details to specific fields in the request that caused the error.
items:
type: object
properties:
field:
type: string
description: The name or path of the field in the request that caused the error.
detail:
type: string
description: A end-user readable message describing the error related to the field.
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
badRequest:
summary: Bad request
value:
type: acct-svcs/bad-request
title: Rule violation
details:
- exampleField is invalid or malformed.
fieldDetails:
- field: exampleField
detail: Provide a valid value for this field.
'401':
description: Although the HTTP standard specifies "unauthorized", semantically this response means "unauthenticated". That is, the client must authenticate itself to get the requested response.
'403':
description: The client does not have access rights to the content; that is, it is unauthorized, so the server is refusing to give the requested resource. Unlike 401, the clients identity is known to the server.
'404':
description: The server can not find the requested resource. In an API, this can also mean that the endpoint is valid but the resource itself does not exist. Servers may also send this response instead of 403 to hide the existence of a resource from an unauthorized client.
'500':
description: An unexpected internal server error occurred while processing the request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
internalServerError:
summary: Internal server error
value:
type: acct-svcs/internal-server-error
title: Unexpected error
details:
- An unexpected error occurred. Please contact your service provider and/or try again later.
get:
operationId: GetAccountNumberGenerationSettingsListWithEnterpriseUserId
tags:
- Account Number Generator
summary: API to get list of settings for an institution
description: API to get list of settings for an institution
parameters:
- name: InstitutionUniversalId
in: path
description: A unique identifier to establish the identity of an Institution/Environment/Brand combination
required: true
schema:
type: string
- in: path
name: EnterpriseUserId
required: true
schema:
type: string
format: uuid
description: The ID of the enterprise user.
responses:
'200':
description: Success
content:
application/json:
schema:
type: object
required:
- generatorSettings
properties:
generatorSettings:
type: array
items:
allOf:
- type: object
properties:
id:
type: string
format: uuid
description: A unique identifier to establish the identity of an Account Number Generation Setting.
nullable: false
settingName:
type: string
nullable: false
maxLength: 40
description: This defines the name of the settings, used to identify what type of accounts the generator will be used for.
accountType:
nullable: true
description: This enum attribute defines the account type that the account number will be generated for.
type: string
enum:
- checking
- savings
mod10GenMethod:
type: boolean
nullable: false
description: Defines whether or not the mod10 generation method will be used when determining the next account number. If false then account numbers will increment consecutively.
accountNumberLength:
type: integer
nullable: false
minLength: 6
maxLength: 16
description: This defines the total length the account number should be, including the prefix.
accountNumberPrefix:
type: string
nullable: true
maxLength: 2
description: This defines the starting number(s) that are prepended to the account number.
- type: object
properties:
lastGeneratedAccountNumber:
type: string
minLength: 4
maxLength: 14
description: This defines the last account number that was generated using the settings.
'400':
description: The server could not process the request due to an invalid request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
fieldDetails:
type: array
description: An array of objects which provide additional details to specific fields in the request that caused the error.
items:
type: object
properties:
field:
type: string
description: The name or path of the field in the request that caused the error.
detail:
type: string
description: A end-user readable message describing the error related to the field.
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
badRequest:
summary: Bad request
value:
type: acct-svcs/bad-request
title: Rule violation
details:
- exampleField is invalid or malformed.
fieldDetails:
- field: exampleField
detail: Provide a valid value for this field.
'401':
description: Although the HTTP standard specifies "unauthorized", semantically this response means "unauthenticated". That is, the client must authenticate itself to get the requested response.
'403':
description: The client does not have access rights to the content; that is, it is unauthorized, so the server is refusing to give the requested resource. Unlike 401, the clients identity is known to the server.
'404':
description: The server can not find the requested resource. In an API, this can also mean that the endpoint is valid but the resource itself does not exist. Servers may also send this response instead of 403 to hide the existence of a resource from an unauthorized client.
'500':
description: An unexpected internal server error occurred while processing the request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
internalServerError:
summary: Internal server error
value:
type: acct-svcs/internal-server-error
title: Unexpected error
details:
- An unexpected error occurred. Please contact your service provider and/or try again later.
/a/api/acct-svcs/v1/{InstitutionUniversalId}/account-number-generator/generate:
post:
operationId: GenerateAccountNumber
tags:
- Account Number Generator
summary: API to generate a new account number based on settings
description: API to generate a new account number based on settings
parameters:
- name: InstitutionUniversalId
in: path
description: A unique identifier to establish the identity of an Institution/Environment/Brand combination
required: true
schema:
type: string
requestBody:
description: Request parameters.
content:
application/json:
schema:
type: object
properties:
settingId:
type: string
nullable: false
description: This Id specifies what settings should be used when generating the account number.
responses:
'201':
description: Success
content:
application/json:
schema:
type: object
properties:
generatedAccountNumber:
type: string
nullable: false
description: The generated account number which adheres to specified setting criteria.
'400':
description: The server could not process the request due to an invalid request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
fieldDetails:
type: array
description: An array of objects which provide additional details to specific fields in the request that caused the error.
items:
type: object
properties:
field:
type: string
description: The name or path of the field in the request that caused the error.
detail:
type: string
description: A end-user readable message describing the error related to the field.
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
badRequest:
summary: Bad request
value:
type: acct-svcs/bad-request
title: Rule violation
details:
- exampleField is invalid or malformed.
fieldDetails:
- field: exampleField
detail: Provide a valid value for this field.
'401':
description: Although the HTTP standard specifies "unauthorized", semantically this response means "unauthenticated". That is, the client must authenticate itself to get the requested response.
'403':
description: The client does not have access rights to the content; that is, it is unauthorized, so the server is refusing to give the requested resource. Unlike 401, the clients identity is known to the server.
'404':
description: The server can not find the requested resource. In an API, this can also mean that the endpoint is valid but the resource itself does not exist. Servers may also send this response instead of 403 to hide the existence of a resource from an unauthorized client.
'500':
description: An unexpected internal server error occurred while processing the request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
internalServerError:
summary: Internal server error
value:
type: acct-svcs/internal-server-error
title: Unexpected error
details:
- An unexpected error occurred. Please contact your service provider and/or try again later.
/a/api/acct-svcs/v1/{InstitutionUniversalId}/enterprise/{EnterpriseUserId}/account-number-generator/generate:
post:
operationId: GenerateAccountNumberWithEnterpriseUserId
tags:
- Account Number Generator
summary: API to generate a new account number based on settings
description: API to generate a new account number based on settings
parameters:
- name: InstitutionUniversalId
in: path
description: A unique identifier to establish the identity of an Institution/Environment/Brand combination
required: true
schema:
type: string
- in: path
name: EnterpriseUserId
required: true
schema:
type: string
format: uuid
description: The ID of the enterprise user.
requestBody:
description: Request parameters.
content:
application/json:
schema:
type: object
properties:
settingId:
type: string
nullable: false
description: This Id specifies what settings should be used when generating the account number.
responses:
'201':
description: Success
content:
application/json:
schema:
type: object
properties:
generatedAccountNumber:
type: string
nullable: false
description: The generated account number which adheres to specified setting criteria.
'400':
description: The server could not process the request due to an invalid request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
fieldDetails:
type: array
description: An array of objects which provide additional details to specific fields in the request that caused the error.
items:
type: object
properties:
field:
type: string
description: The name or path of the field in the request that caused the error.
detail:
type: string
description: A end-user readable message describing the error related to the field.
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
badRequest:
summary: Bad request
value:
type: acct-svcs/bad-request
title: Rule violation
details:
- exampleField is invalid or malformed.
fieldDetails:
- field: exampleField
detail: Provide a valid value for this field.
'401':
description: Although the HTTP standard specifies "unauthorized", semantically this response means "unauthenticated". That is, the client must authenticate itself to get the requested response.
'403':
description: The client does not have access rights to the content; that is, it is unauthorized, so the server is refusing to give the requested resource. Unlike 401, the clients identity is known to the server.
'404':
description: The server can not find the requested resource. In an API, this can also mean that the endpoint is valid but the resource itself does not exist. Servers may also send this response instead of 403 to hide the existence of a resource from an unauthorized client.
'500':
description: An unexpected internal server error occurred while processing the request.
content:
application/problem+json:
schema:
type: object
required:
- type
- title
- details
properties:
type:
description: A string path which uniquely classifies the domain of the error.
type: string
nullable: false
example: jackhenry/operation-failed
title:
description: A end-user readable string title of the error type.
nullable: false
type: string
details:
description: An array of end-user readable strings which provide additional details for the error message.
type: array
nullable: false
items:
type: string
data:
type: object
description: |
Additional data that could be useful to a developer or for handing the error programmatically. The schema for the data in this object is intentionally left undefined.
nullable: true
examples:
internalServerError:
summary: Internal server error
value:
type: acct-svcs/internal-server-error
title: Unexpected error
details:
- An unexpected error occurred. Please contact your service provider and/or try again later.
Did this page help you?
Why was this page helpful?
Why wasn't this page helpful?
Thank you for your feedback!
Last updated Fri Feb 6 2026